/*
 * Copyright 2004-2005 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.codehaus.groovy.grails.web.pages.ext.jsp

import org.xml.sax.InputSource
import org.springframework.core.io.ClassPathResource
import javax.xml.parsers.SAXParserFactory
import  org.codehaus.groovy.grails.web.taglib.jsp.*

class TldReaderTests extends GroovyTestCase{

    void testTldReader() {
        def res = new ClassPathResource("org/codehaus/groovy/grails/web/pages/ext/jsp/tld-reader-test.tld")

        def is = new InputSource(res.getInputStream())

        SAXParserFactory factory = SAXParserFactory.newInstance()
        factory.namespaceAware = false
        factory.validating = true
        def reader = factory.newSAXParser().getXMLReader()
        TldReader tldReader = new TldReader()
        reader.setContentHandler tldReader
        reader.setEntityResolver new LocalEntityResolver()
        reader.parse is

        assert tldReader.tags
        assertEquals tldReader.tags.localeSelect,JspLocaleSelectTag
    }

}